import { ContentConfig } from "/@/components/PageContent";
import {
  httpList,
  httpAdd,
  httpDelete,
  httpUpdate
} from "/@/api/parameter/invoiceheader";

import dayjs from "dayjs";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },

  {
    label: "业务公司",
    prop: "invoice_title"
  },
  {
    label: "企业法人",
    prop: "invoice_people"
  },
  {
    label: "企业注册地址",
    prop: "invoice_addr"
  },
  {
    label: "企业联系方式",
    prop: "invoice_mobile"
  },
  {
    label: "企业纳税识别号",
    prop: "invoice_code"
  },
  {
    label: "对公银行",
    prop: "invoice_bank"
  },
  {
    label: "对公银行账户",
    prop: "invoice_bankNo"
  },
  {
    label: "创建人",
    prop: "apply_name"
  },
  {
    label: "创建时间",
    prop: "addTime",
    formatter: ({ createTime }) =>
      dayjs(createTime).format("YYYY-MM-DD HH:mm:ss")
  },
  {
    label: "操作",
    fixed: "right",
    width: 120,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "企业客户发票",
  columns,
  apis: {
    httpList,
    httpAdd,
    httpDelete,
    httpUpdate
  }
};

export default contentConfig;
